Results 1 to 8 of 8

Thread: qemu-ipxe redirected to http mirror and wrong checksum

  1. #1

    Default qemu-ipxe redirected to http mirror and wrong checksum

    When zypper tries to download qemu-ipxe I get the following error:
    Code:
    Ett hämtningsfel (curl) uppstod för 'https://download.opensuse.org/tumbleweed/repo/oss/suse/noarch/qemu-ipxe-1.0.0-1.1.noarch.rpm'.
    Felkod:  Bad URL                                                                                                                                                                                                                                   
    Felmeddelande: Protocol "http" not supported or disabled in libcurl
    When I try to download the file with curl it turns out it redirects me to http://mirror.euserv.net/linux/opens...1.1.noarch.rpm, which is http, so curl refuses to download it. If I change the repo to http, zypper manages to download the package, but it's got the wrong checksum:
    Code:
    Varning: Sammandrag kunde inte verifieras för filen qemu-ipxe-1.0.0-1.1.noarch.rpm
    [/var/cache/zypp/packages/repo-oss/suse/noarch/qemu-ipxe-1.0.0-1.1.noarch.rpm]
    
      c04b57aa707b80ed5fa20cced01d7fd7946a34d0 förväntades
      men 101bc1cc84b9894745a6089f6fe138623f2efd92 inkom i stället
    
    Att godkänna paket med felaktiga checksummor kan korrumpera systemet och i värsta fall förstöra det.
    
    Men om du är säker på att filen med checksumman '101b..' är säker, korrekt
    och ska användas för den här åtgärden, kan du på egen risk ange de fyra första tecknen
    i checksumman så att filen avblockeras och kan användas. Om du gör en blank inmatning kastas filen.

  2. #2

    Default Re: qemu-ipxe redirected to http mirror and wrong checksum

    I can confirm this also. Not just for qemu-ipxe-1.0.0-1.1.noarch.rpm, but also for qemu-sgabios-8-1.1.noarch.rpm.

  3. #3
    Join Date
    Aug 2010
    Location
    UK
    Posts
    386

    Thumbs up Re: qemu-ipxe redirected to http mirror and wrong checksum

    Confirmed here in UK.
    Vintage IBM ThinkPad T21 (my first) laptop 1GHz PIII [T22 heatsink] ~ Silicon Heaven [RIP]
    X200 Lenovo ThinkPad (Libreboot) ~ Xubuntu 19.10
    X250 Lenovo Thinkpad i7 ~ Linux Mint 19.2 Tina
    C2D Micro ATX Tower (2nd Main Board) ~ openSUSE Tumbleweed KDE

  4. #4
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,053
    Blog Entries
    14

    Default Re: qemu-ipxe redirected to http mirror and wrong checksum

    Please note: we've had very serious issues with download.opensuse.org , these seem to be the result. Just wait a couple of days until the next snapshot, which will have a rebuilt qemu package.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  5. #5

    Default Re: qemu-ipxe redirected to http mirror and wrong checksum

    Any news regarding this?
    Every time I try an
    Code:
    zypper dup
    ,I get this
    Code:
    The following product is going to be upgraded:
      "openSUSE Tumbleweed"
    
    The following 4 packages are going to be downgraded:
      qemu-ipxe qemu-seabios qemu-sgabios qemu-vgabios
    
    709 packages to upgrade, 4 to downgrade, 33 new, 7 to remove.
    Overall download size: 950.3 MiB. Already cached: 20.1 MiB. After the operation, additional 1.0 GiB will be used.
    Once I've tried to let it do this,but I get an error ,cannot downgrade packages...
    Thanks a lot!
    Best Regards!

  6. #6

    Default Re: qemu-ipxe redirected to http mirror and wrong checksum

    I really don't understand what is happening lately with Tumbleweed.
    Today at noon I've tried an distribution upgrade and it came this:

    Code:
    Problem: nothing provides libMagickWand-7.Q16HDRI.so.4 needed by libxine2-1.2.8-127.6.i586
     Solution 1: install libxine2-1.2.8-3.3.x86_64 (with vendor change)
      http://packman.links2linux.de  -->  openSUSE
     Solution 2: break libxine2-1.2.8-127.6.i586 by ignoring some of its dependencies
    Ok,I've cancelled it and now,a few hours later I'm trying again.
    Now the message has changed :




    Code:
    The following 22 patterns are going to be upgraded:
      apparmor apparmor_opt base basesystem devel_kde devel_kde_frameworks devel_qt5 enhanced_base enhanced_base_opt kde kde_games kde_imaging kde_internet kde_multimedia kde_office
      kde_plasma kde_utilities kde_utilities_opt kde_yast sw_management x11 x11_opt
    
    The following product is going to be upgraded:
      "openSUSE Tumbleweed"
    
    The following 8 packages are going to be downgraded:
      libucm0 libucp0 libucs0 libuct0 qemu-ipxe qemu-seabios qemu-sgabios qemu-vgabios
    It's normal to downgrade packages on new snapshots?
    Thanks a lot!
    Cheers

  7. #7
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,012

    Default Re: qemu-ipxe redirected to http mirror and wrong checksum

    Why do you have i586 and x86_64 packages mixed?

    Please show;
    uname -a
    and
    cat /etc/os-release

    and
    rpm -qi qemu-ipxe
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  8. #8

    Default Re: qemu-ipxe redirected to http mirror and wrong checksum

    Hello
    I've a standard instalation of Tumbleweed,and the only thing that I've installed extra it's the multimedia pack using the guide from this forum,nothing less,nothing more.
    Here it is:
    Code:
    localhost:~ # uname -a
    Linux localhost.localdomain 4.12.9-1-default #1 SMP PREEMPT Fri Aug 25 07:08:45 UTC 2017 (f2ab6ba) x86_64 x86_64 x86_64 GNU/Linux
    localhost:~ # cat /etc/os-release
    NAME="openSUSE Tumbleweed"
    # VERSION="20170904"
    ID=opensuse
    ID_LIKE="suse"
    VERSION_ID="20170904"
    PRETTY_NAME="openSUSE Tumbleweed"
    ANSI_COLOR="0;32"
    CPE_NAME="cpe:/o:opensuse:tumbleweed:20170904"
    BUG_REPORT_URL="https://bugs.opensuse.org"
    HOME_URL="https://www.opensuse.org/"
    localhost:~ # rpm -qi qemu-ipxe
    Name        : qemu-ipxe
    Version     : 1.0.0
    Release     : 4.1
    Architecture: noarch
    Install Date: Tue Sep  5 14:38:03 2017
    Group       : System/Emulators/PC
    Size        : 2060368
    License     : BSD-3-Clause and GPL-2.0 and GPL-2.0+ and LGPL-2.1+ and MIT
    Signature   : RSA/SHA256, Tue Aug 29 17:33:58 2017, Key ID b88b2fd43dbdc284
    Source RPM  : qemu-2.9.0-4.1.src.rpm
    Build Date  : Thu Aug 24 15:00:00 2017
    Build Host  : localhost
    Relocations : (not relocatable)
    Packager    : https://bugs.opensuse.org
    Vendor      : openSUSE
    URL         : http://www.qemu.org/
    Summary     : PXE ROMs for QEMU NICs
    Description :
    Preboot Execution Environment (PXE) ROM support for various emulated network
    adapters available with QEMU.
    Distribution: openSUSE Tumbleweed
    localhost:~ #
    Thanks for trying to help me!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •